Query edges
Technical previewReturns a paginated, filtered, and sorted page of resolution_decision edges from the patient context graph — the structured counterpart to list-edges, for conditions that don't fit query-string params. filter and sort narrow to the fields this type declares; see the request body schema for its vocabulary.
Authorization
Bearer readEach operation lists the OAuth scope (read or write) it requires.
In: header
Scope: read
Path Parameters
ID of the patient
^[A-Za-z0-9._~:-]{1,128}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/patients/string/graph/edges/resolution_decision/query" \ -H "Content-Type: application/json" \ -d '{}'{ "data": [ { "type": "resolution_decision", "id": "string", "createdAt": "string", "updatedAt": "string", "from": { "id": "string", "type": "extracted_fact" }, "to": { "id": "string", "type": "extracted_fact" }, "payload": { "verdict": "merge", "resolution": "uncertain", "ruleId": "string", "evidence": [ { "kind": "source-ref", "layer": "source-ref-equality" } ] } } ], "meta": { "total": 0, "page": 0, "perPage": 0 }}Returns a paginated, filtered, and sorted page of resolves_to edges from the patient context graph — the structured counterpart to list-edges, for conditions that don't fit query-string params. filter and sort narrow to the fields this type declares; see the request body schema for its vocabulary.
Authorization
Bearer readEach operation lists the OAuth scope (read or write) it requires.
In: header
Scope: read
Path Parameters
ID of the patient
^[A-Za-z0-9._~:-]{1,128}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/patients/string/graph/edges/resolves_to/query" \ -H "Content-Type: application/json" \ -d '{}'{ "data": [ { "type": "resolves_to", "id": "string", "createdAt": "string", "updatedAt": "string", "from": { "id": "string", "type": "extracted_fact" }, "to": { "id": "string", "type": "extracted_fact" }, "payload": {} } ], "meta": { "total": 0, "page": 0, "perPage": 0 }}Returns a paginated, filtered, and sorted page of chunked_into edges from the patient context graph — the structured counterpart to list-edges, for conditions that don't fit query-string params. filter and sort narrow to the fields this type declares; see the request body schema for its vocabulary.
Authorization
Bearer readEach operation lists the OAuth scope (read or write) it requires.
In: header
Scope: read
Path Parameters
ID of the patient
^[A-Za-z0-9._~:-]{1,128}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/patients/string/graph/edges/chunked_into/query" \ -H "Content-Type: application/json" \ -d '{}'{ "data": [ { "type": "chunked_into", "id": "string", "createdAt": "string", "updatedAt": "string", "from": { "id": "string", "type": "extracted_fact" }, "to": { "id": "string", "type": "extracted_fact" }, "payload": {} } ], "meta": { "total": 0, "page": 0, "perPage": 0 }}Returns a paginated, filtered, and sorted page of relationship edges from the patient context graph — the structured counterpart to list-edges, for conditions that don't fit query-string params. filter and sort narrow to the fields this type declares; see the request body schema for its vocabulary.
Authorization
Bearer readEach operation lists the OAuth scope (read or write) it requires.
In: header
Scope: read
Path Parameters
ID of the patient
^[A-Za-z0-9._~:-]{1,128}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/patients/string/graph/edges/relationship/query" \ -H "Content-Type: application/json" \ -d '{}'{ "data": [ { "type": "relationship", "id": "string", "createdAt": "string", "updatedAt": "string", "from": { "id": "string", "type": "extracted_fact" }, "to": { "id": "string", "type": "extracted_fact" }, "payload": { "type": "string", "attributes": { "property1": null, "property2": null }, "source": "explicit_reference", "confidence": 0, "reasoning": "string" } } ], "meta": { "total": 0, "page": 0, "perPage": 0 }}